import React from 'react'
import BrowserOnly from '@docusaurus/BrowserOnly'

export default function ApiSpec(props) {
  return (
    <BrowserOnly fallback={<div>Lädt...</div>}>
      {() => {
        import('rapidoc')

        return (
          <rapi-doc
            render-style="view"
            layout="column"
            spec-url={props.specUrl}
            theme="light"
            show-info="false"
            show-header="false"
            show-components="false"
            allow-spec-file-load="false"
            info-description-headings-in-navbar="false"
            allow-try="false"
            primary-color="#11171a"
          ></rapi-doc>
        )
      }}
    </BrowserOnly>
  )
}
